<?php
defined('C5_EXECUTE') or die(_("Access Denied."));

use Concrete\Core\Tree\Node\Type\File as FileNode;
use Concrete\Core\File\File;
use Concrete\Core\Page\Page;
/*
 * John Liddiard (aka JohntheFish) www.c5magic.co.uk
 * This package contains software copyright and proprietary to John Liddiard
 *
 */

/*
 * Format a Document Library block to look like nav items in an Autonav in a sidebar.
 * Compatible with Bootstrap based themes.
 * May work in other situations where an Autonav would be used, but have only been tested in a sidebar view.
 */

$c = Page::getCurrentPage();
if (!empty($results)) {
    ?>
    <div class="ccm-block-autonav">
        <ul class="ccm-block-block-document nav flex-column">
            <?php
            foreach ($results as $result) {
                if (!$result instanceof FileNode) { // Skip past folders
                    continue;
                }
                $fID = $result->getTreeNodeFileID();
                $f = File::getByID($fID);
                if (!is_object($f)) { // Skip if not a file
                    continue;
                }
                ?>
                <li class="nav-item">
                    <a href="<?php
                    if ($downloadFileMethod === 'force') {
                        echo $f->getForceDownloadURL();
                    } else {
                        echo $f->getDownloadURL();
                    }
                    ?>" target="_blank" class="nav-link">
                        <?php
                        echo $f->getTitle(); // Use the file title for the link. You could change this to use an attribute
                        ?>
                    </a>
                </li>
                <?php
            }
            ?>
        </ul>
    </div>
    <?php
} elseif ($c->isEditMode()) {
    ?>
    <div class="ccm-edit-mode-disabled-item"><?= t('Empty Document Library Block.') ?></div>
    <?php
}


