<?php
defined('C5_EXECUTE') or die('Access Denied.');

use Concrete\Core\Page\Page;
use Concrete\Core\Permission\Checker as FilePermissions;

/*
 * John Liddiard (aka JohntheFish) www.c5magic.co.uk
 * This package contains software copyright and proprietary to John Liddiard
 *
 */
/*
 * Format a File block to look like nav items in an Autonav in a sidebar.
 * Compatible with Bootstrap based themes.
 * May work in other situations where an Autonav would be used, but have only been tested in a sidebar view.
 */


$c = Page::getCurrentPage();
$f = $controller->getFileObject();

if (!empty($f) && is_object($f)) {
    $fp = new FilePermissions($f);
    if ($fp->canViewFile()) {
        ?>
        <div class="ccm-block-autonav">
            <ul class="ccm-block-file nav">
                <li class="nav-item">
                    <a href="<?php
                    if (!empty($forceDownload)) {
                        echo $f->getForceDownloadURL();
                    } else {
                        echo $f->getDownloadURL();
                    }
                    ?>" target="_blank" class="nav-link">
                        <?php
                        echo stripslashes($controller->getLinkText());
                        ?>
                    </a>
                </li>
            </ul>
        </div>
        <?php
    }
}
if (empty($f) && $c->isEditMode()) {
    ?>
    <div class="ccm-edit-mode-disabled-item"><?= t('Empty File Block.') ?></div>
    <?php
}
